package soa.jaxrslabs.booktrainclientwebservicerestexercice2;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "booktrain")
public class BookTrain {

	private String numBook;
	private Train currentTrain;
	private int numberPlaces;

	/**
	 * @return the numBook
	 */
	public String getNumBook() {
		return numBook;
	}

	/**
	 * @param numBook
	 *            the numBook to set
	 */
	public void setNumBook(String bookNumber) {
		this.numBook = bookNumber;
	}

	/**
	 * @return the currentTrain
	 */
	public Train getCurrentTrain() {
		return currentTrain;
	}

	/**
	 * @param currentTrain
	 *            the currentTrain to set
	 */
	public void setCurrentTrain(Train currentTrain) {
		this.currentTrain = currentTrain;
	}

	/**
	 * @return the numberPlaces
	 */
	public int getNumberPlaces() {
		return numberPlaces;
	}

	/**
	 * @param numberPlaces
	 *            the numberPlaces to set
	 */
	public void setNumberPlaces(int numberPlaces) {
		this.numberPlaces = numberPlaces;
	}
}
